package com.manage.dao;

import com.manage.entity.Power_Log;
import com.manage.vo.Power_LogVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface Power_LogMapper {
    int deleteByPrimaryKey(Integer logId);

    int insert(Power_Log record);

    int insertSelective(Power_Log record);

    Power_Log selectByPrimaryKey(Integer logId);

    int updateByPrimaryKeySelective(Power_Log record);

    int updateByPrimaryKey(Power_Log record);

    List<Power_LogVo> selectAll(@Param("record")Power_LogVo record, @Param("startTime") String startTime, @Param("endTime") String endTime);

    int getTotal(@Param("record")Power_LogVo record, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Map<String,Object> selectObjectByKey(@Param("tableName")String tableName, @Param("whereSql")String whereSql);

    int delLogsByDate(@Param("date") String date);

    List<Power_LogVo> selectAllByIds(@Param("checks")String checks);

    void deleteLogByIds(@Param("str")String str);
}